# cypress_gitlab_pages
Creates a docker container throug Gitlab CI/CD with automated testing for websites.
As of now used in relation to "Git da gitt" bachelor thesis: [README](https://gitlab.stud.idi.ntnu.no/bachelor1/Website/-/tree/master)

Uses Cypress to enact javascripted testing on a given website.
Cypress is an end-to-end testing framework for web test automation: [Docuemtnation](https://www.cypress.io/)

# Configuration of Cypress
The project as a minimum simply needs a URL to run the defined Cypress JavaScripted tests against. With regard to the thesis, this project is intended to run against the websites generated from Gitlab Pages. In addition, Snyk dependency scannning is also required security feature of the thesis. To only run the web unit tests, cypress stage can be configured through changing the "url" environment variable within the Cypress container. This can be done through configuring a vairable in .gitlab-ci.yml file at the "public-e2e" stage:
variables:
    - url: "https...."

Afterwards remove vuln-scan stage.

# Configuration of Snyk vuln-scan
Snyk can be configured to work from this repository if the project has a 
Settings->CI->variables

Create a variable named SNYK_TOKEN and give it the value of Snyk token generated at your respective Snyk profile:
[Snyk account profile](https://app.snyk.io/account)

# To work as intended
Create a seperate project in Gitlab without changing configurations. Simply pass the variables SNYK_TOKEN and URL to the respective stages in downstream pipeline from origin.
